<?php
//お約束の呪文/////////////////////////////////
//ログインチェック、設定ファイル読み込み、Smarty Viewの生成を行う
require_once("../../../../../app_path.php");
require_once(APP_PATH.'/BSMAdminController.php');
$bsmactlr = new BSMAdminController();
///////////////////////////////////////////////

//Modelクラスを読み込み
//DBからのデータ読み込み、書き込み、大半の処理はこのModelクラスに書いてください。
require_once("../../class/CLfrmlist.php");

class frmDelete extends CLfrmlist
{
	function frmDelete(&$bsmactlr)
	{
		$this->__construct($bsmactlr);
	}

	function __construct(&$bsmactlr)
	{
		$this->bsmactlr = $bsmactlr;
		CLfrmlist::__construct();
	}

	function action()
	{
		$tpl_file = "_index.tpl";
		//保存ボタン
		if(isset($_REQUEST['buttons']['BTNsubmit']) && $_REQUEST['buttons']['BTNsubmit'] != "") {
			if($this -> copyData($_REQUEST['inq_copy'])){
				$this -> bsmactlr -> view -> assign('closeflg',"close");
			}else{
				$error[] = "複製に失敗しました。";
				$this -> bsmactlr -> view -> assign('ERROR',$error);
			}
		}
		$this -> bsmactlr -> view -> assign('frm_id',$_REQUEST['frm_id']);
		$this -> bsmactlr -> view -> display(MODULES_PATH."/extMdlFormGnrtr/admin/frmlist/".$tpl_file);
	}
}

$frm = new frmDelete($bsmactlr);
$frm->action();
?>